# Uses of Interface
javax.swing.SingleSelectionModel

Packages that use SingleSelectionModel
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.

## Uses of SingleSelectionModel in javax.swing

Classes in javax.swing that implement SingleSelectionModel
Modifier and Type
Class
Description
`class`
`DefaultSingleSelectionModel`
A generic implementation of SingleSelectionModel.
Fields in javax.swing declared as SingleSelectionModel
Modifier and Type
Field
Description
`protected SingleSelectionModel`
JTabbedPane.`model`
The default selection model
Methods in javax.swing that return SingleSelectionModel
Modifier and Type
Method
Description
`SingleSelectionModel`
JTabbedPane.`getModel()`
Returns the model associated with this tabbedpane.
`SingleSelectionModel`
JMenuBar.`getSelectionModel()`
Returns the model object that handles single selections.
`SingleSelectionModel`
JPopupMenu.`getSelectionModel()`
Returns the model object that handles single selections.
Methods in javax.swing with parameters of type SingleSelectionModel
Modifier and Type
Method
Description
`void`
JTabbedPane.`setModel​(SingleSelectionModel model)`
Sets the model to be used with this tabbedpane.
`void`
JMenuBar.`setSelectionModel​(SingleSelectionModel model)`
Sets the model object to handle single selections.
`void`
JPopupMenu.`setSelectionModel​(SingleSelectionModel model)`
Sets the model object to handle single selections.